This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen
Bug 284 - Sparse * Sparse without removing numerical zeros
Summary: Sparse * Sparse without removing numerical zeros
Status: RESOLVED FIXED
Alias: None
Product: Eigen
Classification: Unclassified
Component: Sparse (show other bugs)
Version: 3.0
Hardware: All All
: --- enhancement
Assignee: Nobody
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-03 12:21 UTC by Christoph Hertzberg
Modified: 2019-12-04 10:49 UTC (History)
1 user (show)



Attachments

Description Christoph Hertzberg 2011-06-03 12:21:22 UTC
When building a Sparse*Sparse product which is later decomposed it can be advantageous not to prune numerical zeros, so that the symbolical decomposition can be reused.

Moreover it might be possible to 'recompute' a Sparse*Sparse product where the structure did not change thus no overhead for reallocation would arise.
Comment 1 Gael Guennebaud 2011-12-03 17:52:13 UTC
The first wish is fixed by change f4c8f74154f9.

I'll add a new entry for the second wish.
Comment 2 Nobody 2019-12-04 10:49:37 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/284.

Note You need to log in before you can comment on or make changes to this bug.